Skip to main content
GET
/
v1
/
referral_items
/
{id}
Retrieve
curl --request GET \
  --url https://{defaultHost}/v1/referral_items/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "bc4b0f30-ac4c-42df-8994-688a84d8d015",
  "object": "referral_item",
  "commission_amount": 580,
  "line_item": "a1ac7929-6834-410c-9f75-2296c12a7f25",
  "referral": "dd599bf4-05b6-4b36-b817-f1e28934ed68",
  "created_at": 1778010914,
  "updated_at": 1778010914
}

Documentation Index

Fetch the complete documentation index at: https://developer.surecart.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

commission_amount
integer

The amount in cents that will be paid out to the affiliate for this referral item.

line_item

Expandable – The associated line item ID.

referral

Expandable – The associated referral ID.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.